<?php 
include_once "./php/auth/authentication.php";
include_once "./php/connect.php";
include_once "./php/help/timeago.php";
include_once "php/include/header.php";
?>


<div class="d-flex" id="wrapper">
    <!-- Page Content -->
    <div id="page-content-wrapper">
        <?php include_once('php/include/nav.php');?>
        <a href="markets.php">
            <i class='btn btn-sm bx bxs-chevron-right ms-4 fs-5 bg-light'></i>
        </a>
        <div class="container-fluid px-4">
            <?php include_once('php/include/cus_panal.php');?>
            <div style="height: 25px;">
                <?php include_once('./php/help/message.php');?>
            </div>

            <div class="row my-5 bg-light">
                <div class="row ">
                    <?php if($_SESSION['auth_role'] == 1): ?>
                        <div class="col align-items-start btn-lg mt-4"><a href="#addnewcustomers" class="btn custom-btn-pry fw-bold align-items-start" data-bs-toggle="modal" ><i class='bx bx-user-plus bx-sm'></i> اضافة زبون جديد </a></div>
                        <?php include('./php/customers/add_cusmodel.php');?>
                    <?php else: ?>
                        <span class="col align-items-start align-self-center btn-lg"><a href="#" class="btn btn-outline-secondary disabled">اضافة زبون جديد</a></span>
                    <?php endif; ?>
                    <center class="pt-2">
                        <span class="d-flex justify-content-center sidebar-heading text-center primary-text fw-bold">
                                <img src= "images/icon.png" class="rounded-2" width="33" height="33" alt="//">
                                <h5 class="ms-2 pe-2">صفحة زبائن محل / <b class="text-primary"><?= $_GET['name_of_market']; ?></b></h5> 
                        </span>
                    </center>
                </div>
                <div class="col-lg-12" >
                    <table id="datatableid" class="table table-striped table-hover table-danger text-center">
                        <thead>
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">صفحة الزبون</th>
                                <th scope="col">صورة الزبون</th>
                                <th scope="col" class="text-center">اسم الزبون</th>
                                <th scope="col" class="text-center">المبلغ المتبقي</th>
                                <th scope="col">تاريخ الانشاء</th>
                                <th scope="col">تاريخ التحديث</th>
                                <th scope="col">معلومات الزبون</th>
                                <th scope="col">تحديث الزبائن</th>
                                <th scope="col">حذف الزبائن</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                            $marketIdFromMPage = $_GET['mrkt_id'];
                            $sql = "SELECT * FROM customers WHERE idofmarket = '$marketIdFromMPage'";
                            // $sql = "SELECT * FROM customers AS AA
                            //         INNER JOIN (SELECT market_id,nameofmarket FROM markets) AS BB
                            //         ON idofmarket = $marketIdFromMPage ";
                            $stmt = $con->prepare($sql);
                            $stmt->execute();
                            $rows = $stmt->fetchAll(PDO::FETCH_ASSOC);
                            if($rows > 0){
                                foreach($rows as $row){
                                ?>
                                <tr role="row" class="odd">

                                <td class="text-danger fw-bold"><?= $row['cus_id']; ?></td>
                                <td>
                                    <a href="custg.php?cus_id=<?= $row['cus_id']; ?>&name_of_cus=<?= $row['nameofcus']; ?>&mrkt_id=<?= $marketIdFromMPage ; ?>&name_of_market=<?= $_GET['name_of_market']; ?>">
                                        <i class='btn btn-sm bx bxs-left-arrow-circle fs-5 custom-btn-pry'></i>
                                    </a>
                                </td>
                                <td class="text-center" for="imageuser">
                                    <?php if($row['image_cus'] == NULL){ ?>
                                        <img name="imageuser" class="users-avatar-shadow rounded-circle"  src="<?= "./php/upload/no-user.jpg" ?>" alt="///"  width="40" height="40" />
                                    <?php }else{ ?>
                                        <img class="users-avatar-shadow rounded-circle"  src="<?= "../upload/cusimg/".$row['image_cus'] ?>" alt="///"  width="40" height="40"/>
                                    <?php } ?>
                                </td>
                                <td><?= $row['nameofcus']; ?></td>
                                <td class="text-center">
                                    <?php
                                        $var3 = $row['cus_id'];
                                        $res3 = $con->prepare("SELECT SUM(take) - SUM(give)  FROM custg WHERE idofcustomer = $var3 ");
                                        // $res3 = $con->prepare("SELECT RIGHT(5-10,2)  FROM custg WHERE idofcustomer = $var3 ");
                                        $res3->execute();
                                        $num_rows3 = $res3->fetchColumn();
                                        if ($num_rows3 != null) {
                                            echo '<h3 class="fs-5 text-danger">'.number_format($num_rows3).'</h3>';
                                        }else{
                                            echo '<h3 class="fs-5"> لايوجد </h3>';
                                        }
                                        // var_dump($num_rows3);
                                    ?>
                                </td>
                                <td><?= f_time_ago($row['created_at']); ?></td>
                                <td><?= f_time_ago($row['updated_at']); ?></td>
                                <?php if($_SESSION['auth_role'] == 1): ?>
                                    <td>
                                        <a href="#showaddresscustomers_<?= $row['cus_id'];?>" class="btn btn-sm custom-btn-pry fw-bold" data-bs-toggle="modal" > <i class='bx bx-info-circle' ></i> معلومات </a>
                                    </td>
                                <?php else: ?>
                                    <td><button type="button"  class="btn btn-sm btn-outline-secondary disabled"> معلومات</button></td>
                                <?php endif; ?>
                                <?php if($_SESSION['auth_role'] == 1): ?>
                                    <td>
                                        <a href="#updatecustomers_<?= $row['cus_id'];?>" class="btn btn-sm btn-secondary fw-bold" data-bs-toggle="modal" ><i class='bx bx-edit-alt'></i> تعديــل </a>
                                    </td>
                                    <td>
                                        <a href="#deletecustomers_<?= $row['cus_id'];?>" class="btn btn-sm custom-bg-secondary fw-bold" data-bs-toggle="modal" > <i class='bx bx-trash' ></i> حــذف </a>
                                    </td>
                                <?php else: ?>
                                    <td><button type="button"  class="btn btn-sm btn-outline-secondary disabled"> تعديــل</button></td>
                                    <td><button type="button"  class="btn btn-sm custom-bg-secondary disabled"> حــذف</button></td>
                                <?php endif; ?>
                                <?php include('./php/customers/updel_modelcustomer.php');?>
                            </tr>
                            
                                <?php
                                }
                            }
                            // getData("onenotify","user_id = 47");
                        
                        ?>
                            
                        </tbody>
                    </table>
                </div>
            </div>

        </div>
        <?= include_once './php/include/copyright.php' ?>
    </div>
</div>
<!-- /#page-content-wrapper -->
<script src="./js/table.js"></script>
<script src="./js/hide_alert.js"></script>
