<?php 
include_once "./php/auth/authentication.php";
include_once "./php/connect.php";
include_once "./php/help/timeago.php";
include_once "./php/include/header.php";
?>


<div class="d-flex" id="wrapper">
    <!-- /#sidebar-wrapper -->


    <!-- Page Content -->
    <div id="page-content-wrapper">
        <?php include_once('php/include/nav.php');?>
        <a href="today.php?marketdebt_id=<?= $_GET['marketdebt_id']; ?>&name_of_marketdebt=<?= $_GET['name_of_marketdebt']; ?>">
            <i class='btn btn-sm bx bxs-chevron-right ms-4 fs-5 bg-light'></i>
        </a>
        <div class="container-fluid px-4">
            <?php include("./php/include/inc_out_panal.php");?>
            <div style="height: 25px;">
                <?php include_once('./php/help/message.php');?>
            </div>

            <div class="row my-5 bg-light">
                <div class="row ">
                    <?php if($_SESSION['auth_role'] == 1): ?>
                        <span class="row align-items-start mt-4 w-20">
                            <span class="col-2 me-2"><a href="./php/daily/invoice_daily.php?today_id=<?= $_GET['today_id'];?>&todays_date=<?= $_GET['todays_date']; ?>&name_of_marketdebt=<?= $_GET['name_of_marketdebt'];?>" class="btn btn-sm custom-btn-secondary fw-bold align-items-start"><i class='bx bxs-file-pdf bx-sm'></i> كشف يومي</a></span>
                            <span class="col-1"><a href="#addnewdaily" class="btn btn-sm custom-btn-pry fw-bold align-items-start" data-bs-toggle="modal" ><i class='bx bx-user-plus bx-sm'></i> اضافة حركة جديدة لليوم</a></span>
                            <?php include('./php/daily/add_dailymodel.php');?>

                        </span>
                    <?php else: ?>
                        <span class="col align-items-start align-self-center btn-lg"><a href="#" class="btn btn-outline-secondary disabled">اضافة حركة جديدة لليوم</a></span>
                    <?php endif; ?>
                    <center class="pt-2">
                        <span class="d-flex justify-content-center sidebar-heading text-center primary-text fw-bold">
                                <img src= "images/icon.png" class="rounded-2" width="33" height="33" alt="//">
                                <p class="ms-2 pe-2 fs-6">حركات يوم/ <b class="text-primary fs-6"><?= $_GET['todays_date']; ?></b></p> 
                        </span>
                    </center>
                </div>
                <div class="col-lg-12" >
                    <table id="datatableid" class="table table-striped table-hover">
                        <thead>
                            <tr>
                                <th scope="col" width="10">#</th>
                                <th scope="col" width="10">##</th>
                                <th scope="col" width="80">الوارد</th>
                                <th scope="col" width="80">الصادر</th>
                                <th scope="col" style="text-align: start;">الملاحظات</th>
                                <th scope="col">تاريخ الانشاء</th>
                                <th scope="col"> وصل</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                            $today_id = $_GET['today_id'];
                            $sql = "SELECT * FROM day_inc_out WHERE idoftoday = $today_id";
                            // $sql = "SELECT * FROM customers AS AA
                            //         INNER JOIN (SELECT market_id,nameofmarket FROM markets) AS BB
                            //         ON idofmarket = $marketIdFromMPage ";
                            $stmt = $con->prepare($sql);
                            $stmt->execute();
                            $rows = $stmt->fetchAll(PDO::FETCH_ASSOC);
                            if($rows > 0){
                                foreach($rows as $row){
                                ?>
                                    <tr role="row" class="odd">
                                <td>
                                <div class="dropdown">
                                    <a class="btn btn-sm custom-btn-pry" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                    <i class='bx bx-dots-vertical-rounded'></i>
                                    </a>

                                    <ul class="dropdown-menu">
                                        <li><a href="#showaddressdaily_<?=$row['daily_id'] ?>" class="dropdown-item text-success" data-bs-toggle="modal" >تفاصيل اليوم</a></li>
                                        <li>
                                            <?php if($_SESSION['auth_role'] == 1): ?>
                                                    <a href="#updatedaily_<?= $row['daily_id'];?>" class="dropdown-item text-primary" data-bs-toggle="modal" >تعديل اليوم</a>
                                                
                                            <?php else: ?>
                                                <a   class="dropdown-item disabled"> تعديل اليوم</a>
                                            <?php endif; ?>
                                        </li>
                                        <li>
                                            <?php if($_SESSION['auth_role'] == 1): ?>
                                                <a href="#deletedaily_<?php echo $row['daily_id'];?>" class="dropdown-item text-danger" data-bs-toggle="modal">مسح اليوم</a>
                                                
                                            <?php else: ?>
                                                <a   class="dropdown-item disabled"> مسح اليوم</a>
                                            <?php endif; ?>
                                        </li>
                                    </ul>
                                </div>
                                </td>

                                <td class="text-danger fw-bold"><?php echo $row['daily_id']; ?></td>
                                <!-- <td>
                                        <i class='btn btn-sm bx bxs-left-arrow-circle fs-5 custom-btn-pry'></i>
                                </td> -->
                                <td class="fs-6">
                                    <span class="d-flex justify-content-between">
                                        <?php echo number_format($row['incoming']);  ?>
                                        <?= $row['incoming'] ? '<i class="bx bxs-down-arrow bx-xs text-success"></i>' : ''?>
                                    </span>
                                </td>
                                <td class="fs-6">
                                    <span class="d-flex justify-content-between">
                                        <?php echo number_format($row['outgoing']);  ?>
                                        <?= $row['outgoing'] ? '<i class="bx bxs-up-arrow bx-xs text-danger"></i>' : ''?>
                                    </span>
                                </td>
                                <td><?php echo $row['debt_note']; ?></td>
                                <td>
                                    <div> 
                                        <?= $row['created_at'] == $row['updated_at'] ?substr($row['created_at'],0,10):substr($row['updated_at'],0,10) ; ?>
                                    </div>
                                    <div id="sizeoffontcp"> 
                                        <!-- <b id="sizeoffontcp"> -->
                                            <?= $row['created_at'] == $row['updated_at'] ?substr($row['created_at'],11,5):substr($row['updated_at'],11,5); ?>
                                        <!-- </b> -->
                                    </div>
                                </td>
                                
                                <td>
                                    <a href="./php/daily/invoice.php?daily_id=<?= $row['daily_id'];?>&name_of_marketdebt=<?= $_GET['name_of_marketdebt'];?>">
                                        <i class='btn btn-small bx bx-printer custom-btn-pry'>
                                        <b>
                                            
                                        </b>
                                        </i>
                                    </a>
                                </td>
                               
                                <?php include('./php/daily/updel_modeldaily.php');?>
                            </tr>
                            
                                <?php
                                }
                            }
                            // getData("onenotify","user_id = 47");
                        
                        ?>
                            
                        </tbody>
                    </table>
                </div>
            </div>

        </div>
        <?= include_once './php/include/copyright.php' ?>
    </div>
</div>
<!-- /#page-content-wrapper -->
<?php include('./php/include/footer.php');?>
<script src="./js/table.js"></script>
<script src="./js/hide_alert.js"></script>
