<?php
include_once "./php/auth/authentication.php";
include_once "./php/connect.php";
include_once "./php/help/timeago.php";
include_once "./php/include/header.php";
?>


<div class="d-flex" id="wrapper">
    <!-- /#sidebar-wrapper -->


    <!-- Page Content -->
    <div id="page-content-wrapper">
        <?php include_once('php/include/nav.php');?>
        <a href="markets_deferred.php">
            <i class='btn btn-sm bx bxs-chevron-right ms-4 fs-5 bg-light'></i>
        </a>
        <div class="container-fluid px-4">
            <?php include("./php/include/deferred_panal.php");?>
            <div style="height: 25px;">
                <?php include_once('./php/help/message.php');?>
            </div>

            <div class="row my-5 bg-light">
                <div class="row ">
                    <?php if($_SESSION['auth_role'] == 1): ?>
                        <span class="row align-items-start mt-4 w-20">
                        <span class="col-2 me-1"><a href="./php/deferred/invoice_deferred.php?marketdefer_id=<?= $_GET['marketdefer_id'];?>&name_of_marketdefer=<?=$_GET['name_of_marketdefer'];?>" class="btn btn-sm custom-btn-secondary fw-bold align-items-start"><i class='bx bxs-file-pdf bx-sm'></i> كشف جميع الآجــل</a></span>
                        <span class="col-1"><a href="#addnewdeferred" class="btn btn-sm custom-btn-pry fw-bold align-items-start" data-bs-toggle="modal" ><i class='bx bx-user-plus bx-sm'></i> اضافة معاملة آجل جديدة</a></span>
                        <?php include('./php/deferred/add_deferredmodel.php');?>

                        </span>
                    <?php else: ?>
                        <span class="col align-items-start align-self-center btn-lg"><a href="#" class="btn btn-outline-secondary disabled">اضافة حركة جديدة لليوم</a></span>
                    <?php endif; ?>
                    <center class="pt-2">
                        <span class="d-flex justify-content-center sidebar-heading text-center primary-text fw-bold">
                                <img src= "images/icon.png" class="rounded-2" width="33" height="33" alt="//">
                                <p class="ms-2 pe-2 fs-4">معاملات آجل / <b class="text-primary fs-4"><?= $_GET['name_of_marketdefer']; ?></b></p> 
                        </span>
                    </center>
                </div>
                <div class="col-lg-12" >
                    <table id="datatableid" class="table table-striped table-hover table-danger text-center">
                        <thead>
                            <tr>
                                <th scope="col" width="10">#</th>
                                <th scope="col" width="10">##</th>
                                <th scope="col" class="text-center">اسم الزبون</th>
                                <th scope="col" class="text-center">بيع الآجل</th>
                                <th scope="col" class="text-center">المبلغ/عراقي</th>
                                <th scope="col" class="text-center">المبلغ/دولار</th>
                                <th scope="col" class="text-center">التاريخ/ مــن</th>
                                <th scope="col" class="text-center">التاريخ/الــى</th>
                                <th scope="col" class="text-center">سعر $ قديم</th>
                                <th scope="col" class="text-center">مستحق</th>
                                <th scope="col" class="text-center">نوع الحركة</th>
                                <th scope="col" class="text-center" width="50">تغيير الحركة</th>
                                <th scope="col" class="text-center">تاريخ</th>
                                <th scope="col" class="text-center"> وصل</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                            $idofmar_deferred = $_GET['marketdefer_id'];
                            $sql = "SELECT * FROM deferred WHERE idofmar_deferred = $idofmar_deferred ORDER BY defer_id DESC";
                            $stmt = $con->prepare($sql);
                            $stmt->execute();
                            $rows = $stmt->fetchAll(PDO::FETCH_ASSOC);
                            if($rows > 0){
                                foreach($rows as $row){
                                ?>
                                <?php if($row['role_as'] == 2): ?>
                                    <tr role="row" class="odd" id="bgg-take">
                                <?php elseif($row['role_as'] == 3): ?>
                                    <tr role="row" class="odd" id="bgg-give">
                                <?php elseif($row['role_as'] == 4): ?>
                                    <tr role="row" class="odd" id="bgg-credit">
                                <?php else: ?>
                                    <tr role="row" class="odd">
                                <?php endif; ?>

                                    <td>
                                    <div class="dropdown">
                                        <a class="btn btn-sm custom-btn-pry" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                        <i class='bx bx-dots-vertical-rounded'></i>
                                        </a>

                                        <ul class="dropdown-menu">
                                            <li><a href="#showaddressdeferred_<?=$row['defer_id'] ?>" class="dropdown-item text-success" data-bs-toggle="modal" >تفاصيل اليوم</a></li>
                                            <li>
                                                <?php if($_SESSION['auth_role'] == 1): ?>
                                                        <a href="#updatedeferred_<?= $row['defer_id'];?>" class="dropdown-item text-primary" data-bs-toggle="modal" >تعديل اليوم</a>
                                                    
                                                <?php else: ?>
                                                    <a   class="dropdown-item disabled"> تعديل اليوم</a>
                                                <?php endif; ?>
                                            </li>
                                            <li>
                                                <?php if($_SESSION['auth_role'] == 1): ?>
                                                    <a href="#deletedeferred_<?php echo $row['defer_id'];?>" class="dropdown-item text-danger" data-bs-toggle="modal">مسح اليوم</a>
                                                    
                                                <?php else: ?>
                                                    <a   class="dropdown-item disabled"> مسح اليوم</a>
                                                <?php endif; ?>
                                            </li>
                                        </ul>
                                    </div>
                                    </td>

                                    <td class="text-danger fw-bold"><?php echo $row['defer_id']; ?></td>
                                    <!-- <td>
                                            <i class='btn btn-sm bx bxs-left-arrow-circle fs-5 custom-btn-pry'></i>
                                    </td> -->
                                    <td class="fs-6">
                                            <?= $row['cus_name'];  ?>
                                    </td>
                                    <td class="fs-6 text-center">
                                            <?= number_format($row['defer_sall']); ?>
                                    </td>
                                    <td class="">
                                            <?= number_format($row['amount']); ?>
                                    </td>
                                    <td class="fs-6 text-center">
                                            <?= number_format($row['amount_in_dolar']); ?>
                                    </td>
                                    <td class="fs-6"><?= $row['sall_from'];?></td>
                                    <td class="fs-6"><?= $row['sall_to'];?></td>
                                    <td class="fs-6 text-center">
                                            <?= number_format($row['price_of_dolar']); ?>
                                    </td>
                                    <td>
                                        <?php 
                                        if($row['role_as'] ==1){
                                            echo "<h4 class='text-secondary'>جديــد</h4>";
                                        }elseif($row['role_as'] == 2){
                                            echo "<h4 class='text-success'>تجديــد</h4>";
                                        }elseif($row['role_as'] == 3){
                                            echo "<h4 class='text-danger'>انتهى</h4>";
                                        }else{
                                            echo "<h4 class='font_color_custom'>انتظار</h4>";
                                        }
                                        ?>
                                    </td>
                                    <td>
                                        <?php 
                                            $today = date('Y-m-d');
                                            if($row['sall_to'] <= $today && $row['role_as'] == 1 || $row['role_as'] == 3){
                                                echo "<span><h6 class='text-danger p-0'>انتهت المدة</h6><i class='bx bx-info-circle fs-6 text-danger rounded-full'></i></span>
                                                 
                                                ";
                                            }elseif ($row['sall_to'] <= $today && $row['role_as'] == 2) {
                                                echo "<h6 class='text-success'>جددت المدة</h6><i class='bx bx-check-double fs-4 text-success rounded-full'></i>";
                                            }else{
                                                echo "<h6 class='text-secondary'>مستمر المدة</h6><i class='bx bx-check fs-4 text-secondary rounded-full'></i>";
                                            }
                                        ?>
                                    </td>
                                    
                                    <td class="w-50" >
                                            <select id="deferselected" onchange="status_defer(this.options[this.selectedIndex].value,'<?php echo $row['defer_id']; ?>','<?= $row['sall_from']; ?>','<?= $row['sall_to']; ?>','<?= $_GET['marketdefer_id']; ?>','<?= $_GET['name_of_marketdefer']; ?>')" class="form-select form-select-sm" aria-label="Default select">
                                                <option selected>اختر الحالة </option>
                                                <option id="deferselected" value="1">جديــد</option>
                                                <option id="deferselected" value="2">تجديــد</option>
                                                <option id="deferselected" value="3">انتهـى</option>
                                                <option id="deferselected" value="4">انتظار</option>
                                            </select>
                                        </td>
                                    <td>
                                        <div> 
                                            <?= $row['created_at'] == $row['updated_at'] ?substr($row['created_at'],0,10):substr($row['updated_at'],0,10) ; ?>
                                        </div>
                                        <div id="sizeoffontcp"> 
                                            <!-- <b id="sizeoffontcp"> -->
                                                <?= $row['created_at'] == $row['updated_at'] ?substr($row['created_at'],11,5):substr($row['updated_at'],11,5); ?>
                                            <!-- </b> -->
                                        </div>
                                    </td>
                                    
                                    <td>
                                        <a href="./php/deferred/invoice.php?defer_id=<?= $row['defer_id'];?>&name_of_marketdefer=<?= $_GET['name_of_marketdefer']; ?>">
                                            <i class='btn btn-small bx bx-printer custom-btn-pry'>
                                            <b>
                                                
                                            </b>
                                            </i>
                                        </a>
                                    </td>
                                
                                    <?php include('./php/deferred/updel_modeldeferred.php');?>
                            </tr>
                            
                                <?php
                                }
                            }
                            // getData("onenotify","user_id = 47");
                        
                        ?>
                            
                        </tbody>
                    </table>
                </div>
            </div>

        </div>
        <?= include_once './php/include/copyright.php' ?>
    </div>
</div>
<!-- /#page-content-wrapper -->
<?php include('php/include/footer.php');?>
<script src="./js/table.js"></script>
<script src="./js/deferred.js"></script>
<script src="./js/hide_alert.js"></script>
