<?php 
include_once "./php/auth/authentication.php";
include_once "./php/connect.php";
include_once "./php/help/timeago.php";
include_once "php/include/header.php";
?>


<div class="d-flex" id="wrapper">
    <!-- Sidebar -->
    <?php include_once('php/include/sidebar.php');?>
    <!-- /#sidebar-wrapper -->
    
    <!-- Page Content -->
    <div id="page-content-wrapper">
        <?php include_once('php/include/nav.php');?>
        <a href="markets_final.php">
        <i class='btn btn-sm bx bxs-chevron-right ms-4 fs-5 bg-light'></i>
    </a>

        <div class="container-fluid px-4">

            <?php
                $name_of_market = $_GET['name_of_market_final'];
            ?>
            <div class="text-light d-flex justify-content-center sidebar-heading text-center fw-bold">
                <h3 class="fs-4">الحسابات النهائية / <?= $name_of_market ?></h3>
            </div>
                    <div class="row g-3 my-2">
                        <div class="col-xl-3 col-md-4 col-sm-6 col-xs-6">
                            <div id="bgg-give" class="p-3 shadow-sm d-flex justify-content-between align-items-center rounded">
                                <div>
                                <?php
                                    
                                    $nameOfMrkt = $con->prepare("SELECT nameofmarket FROM markets WHERE nameofmarket = '$name_of_market' ");
                                    $nameOfMrkt->execute();
                                    $simiNameOfMrkt = $nameOfMrkt->fetchAll(PDO::FETCH_ASSOC);
                                    // print_r($simiNameOfMrkt);
                                    if($simiNameOfMrkt != null){
                                        $res = $con->prepare("SELECT market_id FROM markets WHERE nameofmarket = '$name_of_market' ");
                                        $res->execute();
                                        $mrkt_id = $res->fetchColumn();
                                        // $mrkt_id = $_GET['nameofmarket_final'];
                                        $res1 = $con->prepare("SELECT SUM(take) - SUM(give) FROM custg WHERE idofmrkt_total = $mrkt_id ");
                                        $res1->execute();
                                        $totalOfCustomersTg = $res1->fetchColumn();
                                        if ($totalOfCustomersTg != null) {
                                            echo '<h4>'.number_format($totalOfCustomersTg).'</h4>';
                                        }else{
                                            echo '<h4> 0 </h4>';
                                        }
                                    }else{echo '<h4> 0 </h4>';}
                                ?>
                                    <h5>مجموع الديون</h5>
                                </div>
                                <i class="bx bx-sort-alt-2 fs-4 text-white  rounded-full bg-danger p-2"></i>
                            </div>
                        </div>


                        <div class="col-xl-3 col-md-4 col-sm-6 col-xs-6">
                            <div id="bgg-credit" class="p-3 shadow-sm d-flex justify-content-between align-items-center rounded">
                                <div>
                                <?php
                                    // $name_of_market1 = $_GET['name_of_market_final'];
                                    $res2 = $con->prepare("SELECT marketdefer_id FROM markets_deferred WHERE nameofmarketdefer = '$name_of_market' ");
                                    $res2->execute();
                                    $mrkt_id2 = $res2->fetchColumn();
                                    $res3 = $con->prepare("SELECT SUM(amount) FROM deferred WHERE idofmar_deferred = '$mrkt_id2' AND role_as = 1");
                                    $res3->execute();
                                    $totalDeffered = $res3->fetchColumn();
                                    // var_dump($num_rows);
                                    if ($totalDeffered > 0) {
                                        echo '<h4>'.number_format($totalDeffered).'</h4>';
                                    }else{
                                        echo '<h4> 0 </h4>';
                                    }
                                ?>
                                    <h5>الاجــل الكلي/عراقي</h5>
                                </div>
    
                                <i class="bx bx-reset fs-4 rounded-full text-danger custom-bg-pry p-2"></i>
                                
                            </div>
                        </div>

                        <div class="col-xl-3 col-md-4 col-sm-6 col-xs-6">
                        <div id="bgg-give" class="p-3 shadow-sm d-flex justify-content-between align-items-center rounded">
                            <div>
                            <?php
                                $nameOfMrktTrust = $con->prepare("SELECT nameofmarket_trust FROM market_trust WHERE nameofmarket_trust = '$name_of_market' ");
                                $nameOfMrktTrust->execute();
                                $simiNameOfMrktTrust = $nameOfMrktTrust->fetchAll(PDO::FETCH_ASSOC);
                                if($simiNameOfMrktTrust != null){
                                    $res4 = $con->prepare("SELECT mtrust_id FROM market_trust WHERE nameofmarket_trust = '$name_of_market' ");
                                    $res4->execute();
                                    $mrkt_id4 = $res4->fetchColumn();
                                    // $mtrust_id1 = $_GET['mtrust_id'];
                                    $res5 = $con->prepare("SELECT SUM(take) - SUM(give) FROM trust_tg WHERE idofmrkt_total = $mrkt_id4  ");
                                    $res5->execute();
                                    $totalOfTrust = $res5->fetchColumn();
                                    if ($totalOfTrust != null) {
                                        echo '<h4>'.number_format($totalOfTrust).'</h4>';
                                    }else{
                                        echo '<h4> 0 </h4>';
                                    }
                                }else{echo '<h4> 0 </h4>';}
                            ?>
                                <h5>مجموع الامانات</h5>
                            </div>
                            <i class="bx bx-wallet-alt fs-4 text-white  rounded-full bg-danger p-2"></i>
                        </div>
                        </div>
                        
                        <div class="col-xl-3 col-md-4 col-sm-6 col-xs-6">
                            <div id="bgg-credit" class="p-3 shadow-sm d-flex justify-content-between align-items-center rounded">
                                <div>
                                <?php
                                    $nameOfMrktDefer = $con->prepare("SELECT nameofmarketdefer FROM markets_deferred WHERE nameofmarketdefer = '$name_of_market' ");
                                    $nameOfMrktDefer->execute();
                                    $simiNameOfMrktDefer = $nameOfMrktDefer->fetchAll(PDO::FETCH_ASSOC);
                                    if($simiNameOfMrktDefer != null){
                                        $res = $con->prepare("SELECT SUM(amount_in_dolar) FROM deferred WHERE idofmar_deferred = $mrkt_id2 AND role_as = 1");
                                        $res->execute();
                                        $num_rows = $res->fetchColumn();
                                        // var_dump($num_rows);
                                        if ($num_rows > 0) {
                                            echo '<h4>'.number_format($num_rows).'</h4>';
                                        }else{
                                            echo '<h4> 0 </h4>';
                                        }
                                    }else{echo '<h4> 0 </h4>';}
                                ?>
                                    <h5>الكلي/دولار</h5>
                                </div>

                                <i class="bx bx-dollar-circle fs-4 text-success rounded-full custom-bg-pry p-2"></i>
                                
                            </div>
                        </div>

                        <!-- //?----------------- For last id of credit---------------- -->

                        <div class="col-xl-3 col-md-4 col-sm-6 col-xs-6">
                            <div class="p-3 bg-light shadow-sm d-flex justify-content-between align-items-center rounded">
                                <div>
                                <?php
                                    $nameOfMrktDebt = $con->prepare("SELECT nameofmarketdebt FROM markets_debt WHERE nameofmarketdebt = '$name_of_market' ");
                                    $nameOfMrktDebt->execute();
                                    $simiNameOfMrktDebt = $nameOfMrktDebt->fetchAll(PDO::FETCH_ASSOC);
                                    if($simiNameOfMrktDebt != null){
                                        $resCredit = $con->prepare("SELECT credit, idtodaydate, todays_date, updated_at FROM credit
                                                                    WHERE market_debt_forfinal='$name_of_market' AND credit != 0
                                                                    ORDER BY credit_id DESC 
                                                                    LIMIT 1
                                                                ");
                                        $resCredit->execute();
                                        $num_rowsCredit = $resCredit->fetchAll(PDO::FETCH_ASSOC);                                        
                                        $creditLastDay = $num_rowsCredit[0]['credit'] ?? 0;
                                        $idTodayDate = $num_rowsCredit[0]['idtodaydate'] ?? 0;
                                        $date_TodayDate = $num_rowsCredit[0]['todays_date'] ?? 0;
                                        
                                        $day_inc_come = $con->prepare("SELECT SUM(incoming) - SUM(outgoing)  FROM day_inc_out WHERE idoftoday = $idTodayDate ");
                                        $day_inc_come->execute();
                                        $num_rows_day_inc_com = $day_inc_come->fetchColumn();
                                        $total_credit = $creditLastDay + $num_rows_day_inc_com;

                                        if ($num_rows_day_inc_com != null) {
                                            echo '<div class="d-flex justify-content-between">
                                                    <h4 class="text-danger py-1">'.number_format($total_credit).'</h4>
                                                    <div><i class="bx bxs-pie-chart-alt-2 fs-4  rounded-full custom-bg-pry p-2"></i></div>
                                                  </div>';
                                        }else{
                                            echo '<h4> 0 </h4>';
                                        }
                                    }else{echo '<div class="d-flex justify-content-between">
                                                    <h4 class="text-danger py-1"> 0 </h4>
                                                    <div><i class="bx bxs-pie-chart-alt-2 fs-4  rounded-full custom-bg-pry p-2"></i></div>
                                                  </div>';}
                                ?>
                                    <small>اخر رصيد/<b class="text-danger"><?=$name_of_market?></b> ليوم /<b class="text-danger"
                                    >&lrm;<?php
                                        if($simiNameOfMrktDebt != null){
                                            echo substr($date_TodayDate,2,8);
                                        }else{echo 'لايوجد تاريخ';}
                                    ?></b></small>
                                </div>
                            </div>
                        </div>
                        <!-- //?----------------- For Monthy---------------- --> 
                        <div class="col-xl-3 col-md-4 col-sm-6 col-xs-6">
                            <div id="bgg-credit" class="p-2 shadow-sm d-flex justify-content-between align-items-center rounded">
                                <div>
                                <?php
                                    $nameOfMrktExpen = $con->prepare("SELECT mexpen_id,nameofmarketexpen FROM market_expenses WHERE nameofmarketexpen = '$name_of_market' ");
                                    $nameOfMrktExpen->execute();
                                    $simiNameOfMrktExpen = $nameOfMrktExpen->fetchAll(PDO::FETCH_ASSOC);
                                    $mexpen_id = $simiNameOfMrktExpen[0]['mexpen_id'] ?? null;
                                    if($simiNameOfMrktExpen != null){
                                        $monthyFetch = $con->prepare("SELECT monthy_id,monthy_date,idmarketexpen FROM monthy WHERE idmarketexpen = $mexpen_id ORDER BY monthy_id DESC LIMIT 1");
                                        $monthyFetch->execute();
                                        $allMonthyFetch = $monthyFetch->fetchAll(PDO::FETCH_ASSOC);
                                        $monthyIdFetch = $allMonthyFetch[0]['monthy_id'] ?? null;
                                        $monthyDateFetch = $allMonthyFetch[0]['monthy_date'] ?? null;

                                        $fetchMonthyExpen = $con->prepare("SELECT SUM(outgoing) FROM monthy_expen WHERE idofmonthy = $monthyIdFetch");
                                        $fetchMonthyExpen->execute();
                                        $numRowMonthyExpen = $fetchMonthyExpen->fetchColumn();
                                        if ($numRowMonthyExpen > 0) {
                                            echo '<div class="d-flex justify-content-between pt-2">
                                                    <h4 class="text-danger py-1">'.number_format($numRowMonthyExpen).'</h4>
                                                    <div><i class="bx bx-repost fs-4  rounded-full custom-bg-pry p-2"></i></div>
                                                  </div>';
                                        }else{
                                            echo '<h4> لايوجد </h4>';
                                        }
                                    }else{echo '<div class="d-flex justify-content-between">
                                                    <h4 class="text-danger py-2"> 0 </h4>
                                                    <div><i class="bx bx-repost fs-4  rounded-full custom-bg-pry p-2"></i></div>
                                                  </div>';}
                                    
                                ?>
                                    <h6 class="pt-1">مصاريف اخر شهر /&lrm; <small><?= $simiNameOfMrktDebt == null ? 'لايوجد تاريخ الان' : $monthyDateFetch ?></small></h6>
                                </div>
                            </div>
                        </div>

                        <!-- //?----------------- For Budget---------------- --> 
                        <div class="col-xl-3 col-md-4 col-sm-6 col-xs-6">
                            <div id="bgg-credit" class="p-3 shadow-sm d-flex justify-content-between align-items-center rounded">
                                <div>
                                <?php
                                    $resBudget = $con->prepare("SELECT budget_total,market_budget_forfinal FROM budget WHERE market_budget_forfinal = '$name_of_market' ORDER BY budget_id DESC LIMIT 1");
                                    $resBudget->execute();
                                    $num_rowsBudget = $resBudget->fetchColumn();
                                    if ($num_rowsBudget > 0) {
                                        echo '<h4>'.number_format($num_rowsBudget).'</h4>';
                                    }else{
                                        echo '<h4> 0 </h4>';
                                    }
                                    
                                ?>
                                    <h5>راس المال الكلي</h5>
                                </div>
                                <a class="btn" href="#addnewbudget" data-bs-toggle="modal"><i class="bx bx-plus bx-tada-hover fs-3 rounded-full custom-bg-pry p-2"></i></a>
                            </div>
                        </div>
                        
                        

                        <!-- //*----------------- For Final---------------- -->
                        <div class="col-xl-3 col-md-4 col-sm-6 col-xs-6">
                            <div id="bgg-take" class="p-3 shadow-sm d-flex justify-content-between align-items-center rounded">
                                <div>
                                    <?php
                                        if ($totalDeffered && $num_rowsBudget != 0) {
                                            $lastTotalInFinal = (($totalOfCustomersTg + $totalDeffered + $total_credit + $num_rowsBudget) + $totalOfTrust) - $numRowMonthyExpen ;
                                            echo '<h4>'.number_format($lastTotalInFinal).'</h4>';
                                        }else{
                                            echo '<h4 > 0 </h4>';
                                        }
                                    ?>
                                    <h5>الحساب النهائي</h5>
                                </div>

                                <a class="btn" href="#addnewbudgetintable" data-bs-toggle="modal"><i class="bx bx-power-off bx-tada-hover fs-4 text-success rounded-full custom-bg-pry p-2"></i></a>
                                <?php include('./php/budget/add_b_intablemodel.php');?>
                            </div>
                        </div>
                    </div>
        </div>
        
        <div class="my-3 mx-4">

            <?php include("./php/budget/chart_budget.php");?>
        </div>
        <div style="height: 25px;" class="px-4">
                <?php include_once('./php/help/message.php');?>
        </div>
        <div class="row my-5 mx-4 bg-light">
                <div class="col px-5 py-3" >
                    <table id="datatableid" class="table table-striped table-hover table-danger text-center">
                        <thead>
                            <tr>
                                <th scope="col" width="50">#</th>
                                <th scope="col" class="text-center">الحساب النهائي</th>
                                <th scope="col">تاريخ الانشاء</th>
                                <th scope="col">تاريخ التحديث</th>
                                <th scope="col">تحديث المحل</th>
                                <th scope="col">حذف المحل</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                            $sql = "SELECT * FROM final_account WHERE market_final_account = '$name_of_market'";
                            $stmt = $con->prepare($sql);
                            $stmt->execute();
                            $rows = $stmt->fetchAll(PDO::FETCH_ASSOC);
                            if($rows > 0){
                                foreach($rows as $row){
                            ?>
                                <tr role="row" class="odd">

                                <td class="text-danger fw-bold"><?= $row['final_account_id']; ?></td>
                                <td><?= $row['final_account_total']; ?></td>
                                <td><?= substr($row['created_at'],0,10); ?></td>
                                <td><?= substr($row['updated_at'],0,10); ?></td>
                                <?php if($_SESSION['auth_role'] == 1): ?>
                                    <td>
                                        <a href="#updatefinal_account_<?= $row['final_account_id'];?>" class="btn btn-sm btn-secondary fw-bold" data-bs-toggle="modal" >تعديــل</a>
                                    </td>
                                    <td>
                                        <a href="#deletefinal_account_<?= $row['final_account_id'];?>" class="btn btn-sm custom-btn-secondary fw-bold" data-bs-toggle="modal" >حــذف</a>
                                    </td>
                                <?php else: ?>
                                    <td><button type="button"  class="btn btn-sm btn-outline-secondary disabled"> تعديــل</button></td>
                                    <td><button type="button"  class="btn btn-sm custom-btn-secondary disabled"> حــذف</button></td>

                                <?php endif; ?>
                                <?php include('./php/budget/updel_modelfinal_account.php');?>
                            </tr>
                            
                                <?php
                                }
                            }                        
                        ?>
                            
                        </tbody>
                    </table>
                </div>
            </div>
            <?php include('./php/budget/add_budgetmodel.php');?>
            
        </div>
        <?= include_once('./php/include/copyright.php') ?>
</div>
<!-- /#page-content-wrapper -->
<?php include('./php/include/footer.php');?>
<script src="./js/table.js"></script>
<script src="./js/hide_alert.js"></script>