$('#datatableid').DataTable({  
    "oLanguage":{
        "sEmptyTable":     "لا توجد بيانات موجودة في الجدول",
        "sInfo":           "اظهار من _START_ الى _END_ من اصل _TOTAL_ عناصر",
        "sInfoEmpty":      "اظهار 0 من 0 من مجموع 0 عناصر",
        "sInfoFiltered":   "(تمت تصفيته بواسطة _MAX_ مجموع العناصر)",
        "sInfoPostFix":    "",
        "sInfoThousands":  ".",
        "sLengthMenu":     "اظهار _MENU_ عناصر",
        "sLoadingRecords": "تحميل...",
        "sProcessing":     "يعالج...",
        "sSearch":         "بحث :",
        "sZeroRecords":    "لم يأت البحث بأي نتائج.",
        "oPaginate": {
            "sFirst":      "الاول",
            "sPrevious":   "السابق",
            "sNext":       "اللاحق",
            "sLast":       "الاخير"
        },
        "oAria": {
            "sSortAscending":  ": تفعيل لفرز العمود بترتيب تصاعدي",
            "sSortDescending": ": تفعيل لفرز العمود بترتيب تنازلي"
        }
    },
    // aLengthMenu: [
    //     [25, 50, 100, 200, -1],
    //     [25, 50, 100, 200, "All"]
    // ],
    // iDisplayLength: -1,
    // paging: false,
    responsive: true,
    lengthChange: true,
    // fixedColumns: true,
    autoWidth: true,
    scrollCollapse: true,
    scrollX: true,
    scrollY: 500,
    processing: true,
    dom: 'Blfrtip',
    layout: {
        topN: 'buttons',
        topStart: 'pageLength',
        topEnd: 'search',
        bottomStart: 'info',
        bottomEnd: 'paging',
    },
    // buttons: [
    //     ['copy', 'csv', 'excel', 'pdf', 'print']
    // ]
    // columnDefs: [
    //     //revese arabic words for pdf exporting
    //             {
    //               // target columns to reverse words
    //               targets: [2,3,4,5],
    //               render: function (data, type, row) {
    //                 if (type === 'myExport') {
    //                   return data.split(' ').reverse().join(' ');
    //                 }
    //                 return data;
    //               }
    //             }],
         //PDF
    // buttons:[     'pdf',  
    //     {
    //     extend: 'pdf',
    //     text: 'PDF',
    //     customize: function (doc) {
    //         doc.defaultStyle =
    //         {
    //         font: 'Cairo',
    //         };
        // },
        // titleAttr: 'Generate PDF',
        // className: 'btn-outline-danger btn-sm ',
        // exportOptions: {
        //     columns: ':not(.select-checkbox)',
        //     orthogonal: "myExport",
        //     modifier: { order: 'index', page: 'current' }
        // },
        // },]
    buttons: [
        { extend: 'copy', className: 'btn btn-secondary glyphicon glyphicon-duplicate' },
        { extend: 'csv', className: 'btn btn-secondary glyphicon glyphicon-save-file' },
        { extend: 'excel', className: 'btn btn-secondary glyphicon glyphicon-list-alt' },
        { extend: 'pdf', className: 'btn btn-secondary glyphicon glyphicon-file' },
        { extend: 'print', className: 'btn btn-secondary glyphicon glyphicon-print' }
    ]
});
