<?php 
include_once "./php/auth/authentication.php";
include_once "./php/connect.php";
include_once "./php/help/timeago.php";
include_once "php/include/header.php";
?>


<div class="d-flex" id="wrapper">
    <!-- Sidebar -->
    <?php include_once('php/include/sidebar.php');?>
    <!-- /#sidebar-wrapper -->


    <!-- Page Content -->
    <div id="page-content-wrapper">
        <?php include_once('php/include/nav.php');?>

        <div class="container-fluid px-4">
            <?php include_once('php/include/markets_debt_panal.php');?>
            <div style="height: 25px;">
                <?php include_once('./php/help/message.php');?>
            </div>

            <div class="row my-5 mx-1 bg-light">
                <div class="row ">
                    <?php if($_SESSION['auth_role'] == 1): ?>
                        <span class="col align-items-start align-self-center btn-lg"><a href="#addnewmarketdebt" class="btn custom-btn-pry fw-bold mt-3" data-bs-toggle="modal" ><i class='bx bx-store-alt pe-2'></i>اضافة محل جديد-يومي</a></span>
                        <?php include('php/market_debt/add_markdebtmodel.php');?>
                    <?php else: ?>
                        <span class="col align-items-start align-self-center btn-lg"><a href="#" class="btn btn-outline-secondary disabled">اضافة محل جديد</a></span>
                    <?php endif; ?>
                    <center class="pt-2">
                        <span class="d-flex justify-content-center sidebar-heading text-center primary-text fw-bold">
                                <img src= "images/icon.png" class="rounded-2" width="33" height="33" alt="//">
                                <h3 class="ms-2 font_color_custom">صفحة المحلات/يومي</h3> 
                        </span>
                    </center>
                </div>
                <div class="col" >
                    <table id="datatableid" class="table table-striped table-hover table-danger text-center">
                        <thead>
                            <tr>
                                <th scope="col" width="10">#</th>
                                <th scope="col" width="50">التفاصيل</th>
                                <th scope="col">اسم المحل</th>
                                <th scope="col">تاريخ الانشاء</th>
                                <th scope="col">تاريخ التحديث</th>
                                <th scope="col">تحديث المحل</th>
                                <th scope="col">حذف المحل</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                            $user_id_markdebt = $_SESSION['auth_user']['user_id'];
                            $sql = "SELECT * FROM markets_debt WHERE idofuserdebt = $user_id_markdebt";
                            $stmt = $con->prepare($sql);
                            $stmt->execute();
                            $rows = $stmt->fetchAll(PDO::FETCH_ASSOC);
                            if($rows > 0){
                                foreach($rows as $row){
                            ?>
                                <tr role="row" class="odd">

                                <td class="text-danger fw-bold"><?= $row['marketdebt_id']; ?></td>
                                <td>
                                    <a href="today.php?marketdebt_id=<?= $row['marketdebt_id'] ?>&name_of_marketdebt=<?= $row['nameofmarketdebt']; ?>">
                                        <i class='btn btn-sm bx bxs-left-arrow-circle fs-5 custom-btn-pry'></i>
                                    </a>
                                </td>
                                <td><?php echo $row['nameofmarketdebt']; ?></td>
                                <td><?php echo f_time_ago($row['create_at']); ?></td>
                                <td><?php echo f_time_ago($row['update_at']); ?></td>
                                <?php if($_SESSION['auth_role'] == 1): ?>
                                    <td>
                                        <a href="#updatemarketdebt_<?php echo $row['marketdebt_id'];?>" class="btn btn-sm btn-secondary fw-bold" data-bs-toggle="modal" >تعديــل</a>
                                    </td>
                                    <td>
                                        <a href="#deletemarketdebt_<?php echo $row['marketdebt_id'];?>" class="btn btn-sm custom-btn-secondary fw-bold" data-bs-toggle="modal" >حــذف</a>
                                    </td>
                                <?php else: ?>
                                    <td><button type="button"  class="btn btn-sm btn-outline-secondary disabled"> تعديــل</button></td>
                                    <td><button type="button"  class="btn btn-sm custom-btn-secondary disabled"> حــذف</button></td>

                                <?php endif; ?>
                                <?php include('./php/market_debt/updel_modelmarketdebt.php');?>
                            </tr>
                            
                                <?php
                                }
                            }
                            // getData("onenotify","user_id = 47");
                        
                        ?>
                            
                        </tbody>
                    </table>
                </div>
            </div>

        </div>
        <?= include_once './php/include/copyright.php' ?>
    </div>
</div>
<!-- /#page-content-wrapper -->
<?php include('./php/include/footer.php');?>
<script src="./js/table.js"></script>
<script src="./js/hide_alert.js"></script>