<?php 
include_once "./php/auth/authentication.php";
include_once "./php/connect.php";
include_once "./php/help/timeago.php";
include_once "./php/include/header.php";
include_once './php/help/arabic-date.php';
?>


<div class="d-flex" id="wrapper">
    <!-- /#sidebar-wrapper -->


    <!-- Page Content -->
    <div id="page-content-wrapper">
        <?php include_once('php/include/nav.php');?>
        <a href="monthy.php?marketexpen_id=<?= $_GET['marketexpen_id']?>&name_of_marketexpen=<?= $_GET['name_of_marketexpen']; ?>">
            <i class='btn btn-sm bx bxs-chevron-right ms-4 fs-5 bg-light'></i>
        </a>
        <div class="container-fluid px-4">
            <?php include("./php/include/monthy_expen.php");?>
            <div style="height: 25px;">
                <?php include_once('./php/help/message.php');?>
            </div>

            <div class="row my-5 bg-light">
                <div class="row ">
                    <?php if($_SESSION['auth_role'] == 1): ?>
                        <span class="row align-items-start mt-4 w-20">
                            <!-- <span class="col-2 me-2"><a href="./php/monthy_expen/invoice_monthy_expen.php?monthy_id=<?= $_GET['monthy_id'];?>&monthy_date=<?= $_GET['monthy_date']; ?>&name_of_marketexpen=<?= $_GET['name_of_marketexpen'];?>" class="btn btn-sm custom-btn-secondary fw-bold align-items-start"><i class='bx bxs-file-pdf bx-sm'></i> كشف مصاريف شهرية</a></span> -->
                            <span class="col-1"><a href="#addnewmonthy_expen" class="btn btn-sm custom-btn-pry fw-bold align-items-start" data-bs-toggle="modal" ><i class='bx bx-user-plus bx-sm'></i> اضافة مصرف جديد للشهر</a></span>
                            <?php include('./php/monthy_expen/add_monthy_expenmodel.php');?>

                        </span>
                    <?php else: ?>
                        <span class="col align-items-start align-self-center btn-lg"><a href="#" class="btn btn-outline-secondary disabled">اضافة مصرف جديد للشهر</a></span>
                    <?php endif; ?>
                    <center class="pt-2">
                        <span class="d-flex justify-content-center sidebar-heading text-center primary-text fw-bold">
                                <img src= "images/icon.png" class="rounded-2" width="33" height="33" alt="//">
                                <p class="ms-2 pe-2 fs-4">مصاريف / <b class="text-danger fs-4"><?= arabicDate(strtotime($_GET['monthy_date'])); ?></b></p> 
                        </span>
                    </center>
                </div>
                <div class="col-lg-12" >
                    <table id="datatableid" class="table table-striped table-hover">
                        <thead>
                            <tr>
                                <th scope="col" width="10">#</th>
                                <th scope="col" width="10">##</th>
                                <!-- <th scope="col" width="80">الوارد</th> -->
                                <th scope="col" width="80">الصادر</th>
                                <th scope="col" style="text-align: start;">الملاحظات</th>
                                <th scope="col">تاريخ الانشاء</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                            $monthy_id = $_GET['monthy_id'];
                            $sql = "SELECT * FROM monthy_expen WHERE idofmonthy = $monthy_id";
                            $stmt = $con->prepare($sql);
                            $stmt->execute();
                            $rows = $stmt->fetchAll(PDO::FETCH_ASSOC);
                            if($rows > 0){
                                foreach($rows as $row){
                                ?>
                                    <tr role="row" class="odd">
                                <td>
                                <div class="dropdown">
                                    <a class="btn btn-sm custom-btn-pry" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                    <i class='bx bx-dots-vertical-rounded'></i>
                                    </a>

                                    <ul class="dropdown-menu">
                                        <li><a href="#showaddressmonthy_expen_<?=$row['month_expen_id'] ?>" class="dropdown-item text-success" data-bs-toggle="modal" >تفاصيل اليوم</a></li>
                                        <li>
                                            <?php if($_SESSION['auth_role'] == 1): ?>
                                                    <a href="#updatemonthy_expen_<?= $row['month_expen_id'];?>" class="dropdown-item text-primary" data-bs-toggle="modal" >تعديل اليوم</a>
                                                
                                            <?php else: ?>
                                                <a   class="dropdown-item disabled"> تعديل المصرف</a>
                                            <?php endif; ?>
                                        </li>
                                        <li>
                                            <?php if($_SESSION['auth_role'] == 1): ?>
                                                <a href="#deletemonthy_expen_<?php echo $row['month_expen_id'];?>" class="dropdown-item text-danger" data-bs-toggle="modal">مسح اليوم</a>
                                                
                                            <?php else: ?>
                                                <a   class="dropdown-item disabled"> مسح المصرف</a>
                                            <?php endif; ?>
                                        </li>
                                    </ul>
                                </div>
                                </td>

                                <td class="text-danger fw-bold"><?php echo $row['month_expen_id']; ?></td>
                                <!-- <td>
                                        <i class='btn btn-sm bx bxs-left-arrow-circle fs-5 custom-btn-pry'></i>
                                </td> -->
                                <td class="fs-6">
                                    <span class="d-flex justify-content-between">
                                        <?php echo number_format($row['outgoing']);  ?>
                                        <?= $row['outgoing'] ? '<i class="bx bxs-up-arrow bx-xs text-danger"></i>' : ''?>
                                    </span>
                                </td>
                                <td><?php echo $row['expen_note']; ?></td>
                                <td>
                                    <div> 
                                        <?= $row['created_at'] == $row['updated_at'] ?substr($row['created_at'],0,10):substr($row['updated_at'],0,10) ; ?>
                                    </div>
                                    <div id="sizeoffontcp"> 
                                        <!-- <b id="sizeoffontcp"> -->
                                            <?= $row['created_at'] == $row['updated_at'] ?substr($row['created_at'],11,5):substr($row['updated_at'],11,5); ?>
                                        <!-- </b> -->
                                    </div>
                                </td>
                               
                                <?php include('./php/monthy_expen/updel_modelmonthy_expen.php');?>
                            </tr>
                            
                                <?php
                                }
                            }
                            // getData("onenotify","user_id = 47");
                        
                        ?>
                            
                        </tbody>
                    </table>
                </div>
            </div>

        </div>
        <?= include_once './php/include/copyright.php' ?>
    </div>
</div>
<!-- /#page-content-wrapper -->
<?php include('./php/include/footer.php');?>
<script src="./js/table.js"></script>
<script src="./js/hide_alert.js"></script>
