
<!-- Show Address Of Custg -->
<div class="modal fade" id="showaddresscustg_<?php echo $row['custg_id'];?>" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="<?= $row['give'] == 0 ? 'bgg-take' : 'bgg-give' ?>">
        <div class="modal-header <?= $row['give'] == 0 ? 'bg-success' : 'bg-danger' ?>">
            <h5 class="modal-title text-light" id="exampleModalLabel">تفاصيل الحركة</h5>
            <!-- <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button> -->
        </div>
              <div class="modal-body" >
                    <div class="my-1 d-flex justify-content-between">
                      <span class="fs-6  ms-3">رقم الحركة</span>
                      <span class="fs-6 fw-bold me-3"><?= $row['custg_id'] ;?></span>
                    </div>
                    <li><hr class="divider my-0"></li>
                    <div class="my-1 d-flex justify-content-between">
                      <span class="fs-6  ms-3">التفاصيل</span>
                      <span class="fs-6 fw-bold me-3"><?= $row['explanation'];?></span>
                    </div>
                    <li><hr class="divider my-0"></li>
                    <div class="table-danger my-1 d-flex justify-content-between">
                      <span class="fs-6  ms-3"><?= $row['give'] == 0 ? 'أخــــذ' : 'اعطــى' ?></span>
                      <span class="fs-6 fw-bold me-3"><?=$row['give'] == 0 ? $row['take']: $row['give'];?></span>
                    </div>
                    <li><hr class="divider my-0"></li>
                    <div class="my-1 d-flex justify-content-between">
                      <span class="fs-6  ms-3">تاريخ الانشاء</span>
                      <span class="fs-6 fw-bold me-3"><?=substr($row['created_at'] ,0,16)?></span>
                    </div>
                    <li><hr class="divider my-0"></li>
                    <div class="my-1 d-flex justify-content-between">
                      <span class="fs-6  ms-3">تاريخ التحديث</span>
                      <span class="fs-6 fw-bold me-3"><?= $row['updated_at'] == $row['created_at'] ? 'لايوجد' : substr($row['updated_at'],0,16) ?></span>
                    </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">رجوع</button>
              </div>
            </div>
    </div>
</div>

<!-- Update custg -->
<div class="modal fade" id="updatecustg_<?php echo $row['custg_id'];?>" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <form method="POST" action="./php/custg/update_custg.php">
        <div class="modal-content">
        <div class="modal-header custom-bg-pry">
            <h5 class="modal-title text-light" id="exampleModalLabel">تعديل الحركة</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
                <div class="row">

                  <div class="form-group">
                      <input type="hidden" class="form-control" id="custg_id" name="custg_id" value="<?=$row['custg_id']?>">
                  </div>
                  <div class="form-group">
                    <input type="hidden" class="form-control" id="idofcustomer" name="idofcustomer" value="<?=$row['idofcustomer']?>">
                  </div>
                  <div class="form-group">
                      <input type="hidden" class="form-control" id="name_of_cus" name="name_of_cus" value="<?=$_GET['name_of_cus']?>">
                  </div>
                  <div class="form-group">
                    <input type="hidden" class="form-control" id="mrkt_id" name="mrkt_id" value="<?=$_GET['mrkt_id']?>">
                  </div>
                  <div class="form-group">
                      <input type="hidden" class="form-control" id="name_of_market" name="name_of_market" value="<?=$_GET['name_of_market']?>">
                  </div>
                </div>
                
                <div class="row">
                  <div class="mb-3 form-group col-6">
                      <label for="take" class="col-form-label">اخـــذ <i class="bx bxs-up-arrow bx-sm text-success"></i></label>
                      <input type="number" class="form-control" id="take" name="take" value="<?= $row['take']?>" placeholder="اخــذ" max="1000000000" oninvalid="this.setCustomValidity('الرقم لايجب ان يكون اكثر من مليار')" oninput="setCustomValidity('')">
                  </div>
                  <div class="mb-3 form-group col-6">
                      <label for="give" class="col-form-label">اعطـى <i class="bx bxs-down-arrow bx-sm text-danger"></i></label>
                      <input type="text" class="form-control" id="give" name="give" value="<?= $row['give']?>" placeholder="اعطــى" max="1000000000" oninvalid="this.setCustomValidity('الرقم لايجب ان يكون اكثر من مليار')" oninput="setCustomValidity('')">
                  </div>
                </div>

                <div class="mb-3 form-group">
                    <label for="explanation" class="col-form-label">تفاصيل التسديد</label>
                    <input type="text" class="form-control" id="explanation" name="explanation" value="<?=$row['explanation']?>" placeholder="التفاصيل" required oninvalid="this.setCustomValidity('لايمكن ان يكون الحقل فارغاً')" oninput="setCustomValidity('')">
                </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">رجوع</button>
                <button type="submit" name="update_custg" class="btn custom-btn-pry" >تاكيد التعديل</button>
              </div>
            </div>
        </form>
    </div>
</div>
<!-- Delete -->
<div class="modal fade" id="deletecustg_<?= $row['custg_id']; ?>" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header custom-bg-secondary">
        <h5 class="modal-title" id="ModalLabel">حذف الحركة</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
            <h5 class="text-center">هل أنت متأكد أنك تريد حذف</h5>
            <h4 class="text-center"><?= $row['custg_id'].' / '.$_GET['name_of_cus']; ?></h4>
            <h4 class="text-center"><?= substr($row['created_at'],0,10)?></h4>
            <!-- <p class="text-center text-danger fs-5">يرجى الحذر سوف تحذف معه جميع الحركات</p> -->
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">رجوع</button>
        <a href="./php/custg/delete_custg.php?custg_id=<?= $row['custg_id']?>&idofcustomer=<?=$row['idofcustomer']?>&name_of_cus=<?=$_GET['name_of_cus']?>&mrkt_id=<?=$_GET['mrkt_id']?>&name_of_market=<?= $_GET['name_of_market']?>" class="btn custom-btn-secondary fw-bold"> تاكيد الحذف</a>
      </div>
    </div>
  </div>
</div>