
<!-- Show Address Of daily -->
<div class="modal fade" id="showaddressdaily_<?php echo $row['daily_id'];?>" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="<?= $row['outgoing'] == 0 ? 'bgg-take' : 'bgg-give' ?>">
        <div class="modal-header <?= $row['outgoing'] == 0 ? 'bg-success' : 'bg-danger' ?>">
            <h5 class="modal-title text-light" id="exampleModalLabel">تفاصيل <?= $row['outgoing'] == 0 ? ' الوارد' : ' الصادر' ?> اليومي</h5>
            <!-- <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button> -->
        </div>
              <div class="modal-body" >
                    <div class="my-1 d-flex justify-content-between">
                      <span class="fs-6  ms-3">رقم اليومي</span>
                      <span class="fs-6 fw-bold me-3"><?= $row['daily_id'] ;?></span>
                    </div>
                    <li><hr class="divider my-0"></li>
                    <div class="my-1 d-flex justify-content-between">
                      <span class="fs-6  ms-3">التفاصيل</span>
                      <span class="fs-6 fw-bold me-3"><?= $row['debt_note'];?></span>
                    </div>
                    <li><hr class="divider my-0"></li>
                    <div class="table-danger my-1 d-flex justify-content-between">
                      <span class="fs-6  ms-3"><?= $row['outgoing'] == 0 ? 'الوارد' : 'الصادر' ?></span>
                      <span class="fs-6 fw-bold me-3"><?=$row['outgoing'] == 0 ? $row['incoming']: $row['outgoing'];?></span>
                    </div>
                    <li><hr class="divider my-0"></li>
                    <div class="my-1 d-flex justify-content-between">
                      <span class="fs-6  ms-3">تاريخ الانشاء</span>
                      <span class="fs-6 fw-bold me-3"><?=substr($row['created_at'] ,0,16)?></span>
                    </div>
                    <li><hr class="divider my-0"></li>
                    <div class="my-1 d-flex justify-content-between">
                      <span class="fs-6  ms-3">تاريخ التحديث</span>
                      <span class="fs-6 fw-bold me-3"><?=substr($row['updated_at'],0,10) == substr($row['created_at'] ,0,10) ? 'لايوجد' : substr($row['updated_at'],0,10) ?></span>
                    </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">رجوع</button>
              </div>
            </div>
    </div>
</div>

<!-- Update daily -->
<div class="modal fade" id="updatedaily_<?=$row['daily_id'];?>" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <form method="POST" action="./php/daily/update_daily.php">
        <div class="modal-content">
        <div class="modal-header custom-bg-pry">
            <h5 class="modal-title text-light" id="exampleModalLabel">تعديل اليومي</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
                <div class="row">

                  <div class="form-group">
                      <input type="hidden" class="form-control" id="daily_id" name="daily_id" value="<?=$row['daily_id']?>">
                  </div>
                  <div class="form-group">
                    <input type="hidden" class="form-control" id="today_id" name="today_id" value="<?=$_GET['today_id']?>">
                  </div>
                  <div class="form-group">
                      <input type="hidden" class="form-control" id="todays_date" name="todays_date" value="<?=$_GET['todays_date']?>">
                  </div>
                  <div class="form-group">
                      <input type="hidden" class="form-control" id="marketdebt_id" name="marketdebt_id" value="<?=$_GET['marketdebt_id']?>">
                  </div>
                  <div class="form-group">
                      <input type="hidden" class="form-control" id="name_of_marketdebt" name="name_of_marketdebt" value="<?=$_GET['name_of_marketdebt']?>">
                  </div>
                </div>
                
                <div class="row">
                  <div class="mb-3 form-group col-6">
                      <label for="incoming" class="col-form-label">الــوارد <i class="bx bxs-up-arrow bx-sm text-success"></i></label>
                      <input type="number" class="form-control" id="incoming" name="incoming" value="<?= $row['incoming']?>" placeholder="الوارد" max="1000000000" oninvalid="this.setCustomValidity('الرقم لايجب ان يكون اكثر من مليار')" oninput="setCustomValidity('')">
                  </div>
                  <div class="mb-3 form-group col-6">
                      <label for="outgoing" class="col-form-label">الصــادر <i class="bx bxs-down-arrow bx-sm text-danger"></i></label>
                      <input type="number" class="form-control" id="outgoing" name="outgoing" value="<?= $row['outgoing']?>" placeholder="الصادر" max="1000000000" oninvalid="this.setCustomValidity('الرقم لايجب ان يكون اكثر من مليار')" oninput="setCustomValidity('')">
                  </div>
                </div>

                <div class="mb-3 form-group">
                    <label for="debt_note" class="col-form-label">الملاحظات</label>
                    <input type="text" class="form-control" id="debt_note" name="debt_note" value="<?=$row['debt_note']?>" placeholder="التفاصيل" required oninvalid="this.setCustomValidity('لايمكن ان يكون الحقل فارغاً')" oninput="setCustomValidity('')">
                </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">رجوع</button>
                <button type="submit" name="update_daily" class="btn custom-btn-pry" >تاكيد التعديل</button>
              </div>
            </div>
        </form>
    </div>
</div>
<!-- Delete -->
<div class="modal fade" id="deletedaily_<?= $row['daily_id']; ?>" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header custom-bg-secondary">
        <h5 class="modal-title" id="ModalLabel">حذف حركات اليومي</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
            <h5 class="text-center">هل أنت متأكد أنك تريد حذف</h5>
            <h4 class="text-center"><?= $row['daily_id'].' / '.$_GET['todays_date']; ?></h4>
            <!-- <p class="text-center text-danger fs-5">يرجى الحذر سوف تحذف معه جميع الحركات</p> -->
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">رجوع</button>
        <a href="./php/daily/delete_daily.php?daily_id=<?= $row['daily_id']?>&today_id=<?=$_GET['today_id']?>&todays_date=<?=$_GET['todays_date']?>&marketdebt_id=<?= $_GET['marketdebt_id']; ?>&name_of_marketdebt=<?= $_GET['name_of_marketdebt']?>" class="btn custom-btn-secondary fw-bold"> تاكيد الحذف</a>
      </div>
    </div>
  </div>
</div>