<?php

// PHP Arabic Date

error_reporting(E_ALL ^ E_NOTICE);

$monthsss = array(
    "Jan" => "كانون الثاني",
    "Feb" => "شباط",
    "Mar" => "آذار",
    "Apr" => "نيسان",
    "May" => "أيار",
    "Jun" => "حزيران",
    "Jul" => "تموز",
    "Aug" => "آب",
    "Sep" => "سبتمبر",
    "Oct" => "أكتوبر",
    "Nov" => "نوفمبر",
    "Dec" => "ديسمبر"
);
$months = array(
    "Jan" => "الشهر الأول كانون - الثاني",
    "Feb" => "الشهر الثاني - شباط",
    "Mar" => "الشهر الثالث - آذار",
    "Apr" => "الشهر الرابع - نيسان",
    "May" => "الشهر الخامس - أيار",
    "Jun" => "الشهر السادس - حزيران",
    "Jul" => "الشهر السابع - تموز",
    "Aug" => "الشهر الثامن - آب",
    "Sep" => "الشهر التاسع - أيلول",
    "Oct" => "الشهر العاشر - تشرين الأول",
    "Nov" => "الشهر الحادي عشر - تشرين الثاني",
    "Dec" => "الشهر الثاني عشر - كانون الأول"
    
);

$your_date = date('y-m-d'); // The Current Date

$en_month = date("M", strtotime($your_date));

foreach ($months as $en => $ar) {
    if ($en == $en_month) {
        $ar_month = $ar;
    }
}

$find = array (

    "Sat",
    "Sun",
    "Mon",
    "Tue",
    "Wed" ,
    "Thu",
    "Fri"

);

$replace = array (

    "السبت",
    "الأحد",
    "الإثنين",
    "الثلاثاء",
    "الأربعاء",
    "الخميس",
    "الجمعة"

);

$ar_day_format = date('D'); // The Current Day

$ar_day = str_replace($find, $replace, $ar_day_format);


header('Content-Type: text/html; charset=utf-8');
$standard = array("0","1","2","3","4","5","6","7","8","9");
$eastern_arabic_symbols = array("٠","١","٢","٣","٤","٥","٦","٧","٨","٩");
$current_date = $ar_day.' '.date('d').' / '.$ar_month.' / '.date('Y');
$arabic_date = str_replace($standard , $eastern_arabic_symbols , $current_date);

// Echo Out the Date
echo $arabic_date;

?>