<?php 
include_once "./php/auth/authentication.php";
include_once "./php/connect.php";
include_once "./php/help/timeago.php";
include_once "./php/include/header.php";
?>


<div class="d-flex" id="wrapper">
    <!-- Page Content -->
    <div id="page-content-wrapper">
        <?php include_once('php/include/nav.php');?>
        <a href="trust.php?mtrust_id=<?= $_GET['mtrust_id']?>&name_of_market_trust=<?= $_GET['name_of_market_trust']?>">
            <i class='btn btn-sm bx bxs-chevron-right ms-4 fs-5 bg-light'></i>
        </a>
        <div class="container-fluid px-4">
            <?php include_once("./php/include/trust_tg_panal.php");?>
            <div style="height: 22px;">
                <?php include_once('./php/help/message.php');?>
            </div>
            
            <div class="row my-5 bg-light">
                <div class="row ">
                    <?php if($_SESSION['auth_role'] == 1): ?>
                        <div class="col align-items-start btn-lg mt-4"><a href="#addnewtrust_tg" class="btn btn-sm custom-btn-pry fw-bold align-items-start" data-bs-toggle="modal" ><i class='bx bx-user-plus bx-xs'></i> اضافة حركة جديدة </a></div>
                        <?php include('./php/trust_tg/add_trust_tgmodel.php');?>
                    <?php else: ?>
                        <span class="col align-items-start align-self-center btn-lg"><a href="#" class="btn btn-outline-secondary disabled">اضافة حركة جديدة</a></span>
                    <?php endif; ?>
                    <center class="pt-2">
                        <span class="d-flex justify-content-center sidebar-heading text-center primary-text fw-bold">
                                <img src= "images/icon.png" class="rounded-2" width="33" height="33" alt="//">
                                <p class="ms-2 pe-2 fs-6">حركات الزبون / <b class="text-primary fs-6"><?= $_GET['name_of_sup']; ?></b></p> 
                        </span>
                    </center>
                </div>
                <div class="col-lg-12" >
                    <table id="datatableid" class="table table-striped table-hover table-danger text-center">
                        <thead>
                            <tr>
                                <th scope="col" width="10">#</th>
                                <th scope="col" width="10">##</th>
                                <th scope="col" width="80">اخـــذ</th>
                                <th scope="col" width="80">اعـطـى</th>
                                <th class="text-center" scope="col">تاريخ الانشاء</th>
                                <th class="text-center" scope="col" width="25%">التفاصيل</th>
                                <th scope="col"> وصل</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                            $trustIdFromTrustPage = $_GET['trust_id'];
                            $sql = "SELECT * FROM trust_tg WHERE idoftrust = $trustIdFromTrustPage ";
                            // $sql = "SELECT * FROM customers AS AA
                            //         INNER JOIN (SELECT market_id,nameofmarket FROM markets) AS BB
                            //         ON idofmarket = $marketIdFromMPage ";
                            $stmt = $con->prepare($sql);
                            $stmt->execute();
                            $rows = $stmt->fetchAll(PDO::FETCH_ASSOC);
                            if($rows > 0){
                                foreach($rows as $row){
                                ?>
                                <?php if($row['give'] == 0) { ?>
                                    <tr role="row" class="odd table-success">
                                <?php }else{ ?>
                                    <tr role="row" class="table-danger">
                                <?php }?>
                                <td>
                                <div class="dropdown">
                                    <a class="btn btn-sm custom-btn-pry" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                    <i class='bx bx-dots-vertical-rounded'></i>
                                    </a>

                                    <ul class="dropdown-menu">
                                        <li><a href="#showaddresstrust_tg_<?=$row['trust_tg_id'] ?>" class="dropdown-item text-success" data-bs-toggle="modal" >تفاصيل الحركة</a></li>
                                        <li>
                                            <?php if($_SESSION['auth_role'] == 1): ?>
                                                    <a href="#updatetrust_tg_<?php echo $row['trust_tg_id'];?>" class="dropdown-item text-primary" data-bs-toggle="modal" >تعديل الحركة</a>
                                                
                                            <?php else: ?>
                                                <a   class="dropdown-item disabled"> تعديل الحركة</a>
                                            <?php endif; ?>
                                        </li>
                                        <li>
                                            <?php if($_SESSION['auth_role'] == 1): ?>
                                                <a href="#deletetrust_tg_<?php echo $row['trust_tg_id'];?>" class="dropdown-item text-danger" data-bs-toggle="modal">مسح الحركة</a>
                                                
                                            <?php else: ?>
                                                <a   class="dropdown-item disabled"> مسح الحركة</a>
                                            <?php endif; ?>
                                        </li>
                                    </ul>
                                </div>
                                </td>

                                <td class="text-danger fw-bold"><?php echo $row['trust_tg_id']; ?></td>
                                <!-- <td>
                                        <i class='btn btn-sm bx bxs-left-arrow-circle fs-5 custom-btn-pry'></i>
                                </td> -->
                                
                                
                                
                                <td class="fs-6">
                                    <span class="d-flex justify-content-between">
                                        <?php echo number_format($row['take']);  ?>
                                        <?= $row['take'] ? '<i class="bx bxs-up-arrow bx-xs text-success"></i>' : ''?>
                                    </span>
                                </td>
                                <td class="fs-6">
                                    <span class="d-flex justify-content-between">
                                        <?php echo number_format($row['give']);  ?>
                                        <?= $row['give'] ? '<i class="bx bxs-down-arrow bx-xs text-danger"></i>' : ''?>
                                    </span>
                                </td>
                                
                                <td>
                                    <div> 
                                        <?= $row['created_at'] == $row['updated_at'] ?substr($row['created_at'],0,10):substr($row['updated_at'],0,10) ; ?>
                                    </div>
                                    <div id="sizeoffontcp"> 
                                        <!-- <b id="sizeoffontcp"> -->
                                            <?= $row['created_at'] == $row['updated_at'] ?substr($row['created_at'],11,5):substr($row['updated_at'],11,5); ?>
                                        <!-- </b> -->
                                    </div>
                                </td>
                                <td><?php echo substr($row['explanation'],0,50); ?></td>
                                <td>
                                    <a href="./php/trust_tg/invoice.php?trust_tg_id=<?= $row['trust_tg_id'];?>&name_of_market_trust=<?= $_GET['name_of_market_trust']; ?>">
                                        <i class='btn btn-small bx bx-printer custom-btn-pry'>
                                        <b>
                                            
                                        </b>
                                        </i>
                                    </a>
                                </td>
                               
                                <?php include('./php/trust_tg/updel_modeltrust_tg.php');?>
                            </tr>
                            
                                <?php
                                }
                            }
                            // getData("onenotify","user_id = 47");
                        
                        ?>
                            
                        </tbody>
                    </table>
                </div>
            </div>

        </div>
        <?= include_once './php/include/copyright.php' ?>
    </div>
</div>
<!-- /#page-content-wrapper -->
<?php include('./php/include/footer.php');?>
<script src="./js/table.js"></script>
<script src="./js/hide_alert.js"></script>
