<?php 
session_start();
include "./php/connect.php";
include_once "php/include/header.php";
?>

<div class="login-page algin-items-center" id="wrapper">
    <div class="container">
        <div class="row d-flex justify-content-center">
            <div class="col-lg-10">
                <div>
                    <div style="height: 65px;">
                        <?php include_once('./php/help/message.php');?>
                    </div>
                    </div>
                        <h2 class="mb-3 text-light d-flex justify-content-center">تسجيل الدخول</h2>
                            <div  class="bg-white shadow rounded">
                                <div class="row" >
                                    <div class="col-md-7 ps-0">
                                        <div class="form-right h-100 py-5 px-5">
                                            <form action="./php/auth/login-auth.php" method="POST" class="row g-4">
                                                    <div class="col-12">
                                                        <label>البريد الالكتروني<span class="text-danger">*</span></label>
                                                        <div class="input-group">
                                                            <div class="input-group-text"><i class='bx bx-user'></i></div>
                                                            <input type="email" name="email" class="form-control text-start" placeholder="ادخل البريد الالكتروني" required oninvalid="this.setCustomValidity('لايمكن ان يكون الحقل فارغاً')" oninput="setCustomValidity('')">
                                                        </div>
                                                    </div>

                                                    <div class="col-12">
                                                        <label>كلمة المرور<span class="text-danger">*</span></label>
                                                        <div class="input-group">
                                                            <div class="input-group-text"><i class='bx bx-lock-open-alt'></i></div>
                                                            <input type="password" name="password" class="form-control" placeholder="ادخل كلمة المرور" required oninvalid="this.setCustomValidity('لايمكن ان يكون الحقل فارغاً')" oninput="setCustomValidity('')">
                                                        </div>
                                                    </div>

                                                    <div class="col-sm-6">
                                                        <a href="checkemail.php" class="float-end font_color_custom">هل نسيت كلمة السر؟</a>
                                                    </div>
                                                    
                                                    <div class="row col-12">
                                                        <div class="row col-8">
                                                            <span class="float-end text-secondary">ليس لديك حساب؟</span>
                                                            <a href="signup.php" class="float-end font_color_custom">سجل الان</a>
                                                        </div>
                                                        <button type="submit" name="login_btn" class="btn custom-btn-pry px-4 float-end mt-4">تسجيل الدخول</button>
                                                    </div>
                                            </form>
                                        </div>
                                    </div>
                                    <div class="col-md-5 ps-0 d-none d-md-block">
                                        <div class="form-right h-100 bg-secondary text-white text-center d-flex align-items-center justify-content-center">
                                            <i class="bi bi-bootstrap"></i>
                                            <div>
                                                <h4 class="fs-4 text-light">مرحبًا بعودتك!!!</h4>
                                                <img src="./images/logo.png" width="260" height="100"alt="///">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                </div>
            <div class="mt-5">
                <?= include_once './php/include/copyright.php' ?>
            </div>
        </div>
    </div>
<?php include_once('./php/include/footer.php');?>
<script src="./js/hide_alert.js"></script>
    <!-- Bootstrap JS -->