<?php
function arabicDate($time)
{
    $months = array(
        "Jan" => "الشهر الأول كانون - الثاني",
        "Feb" => "الشهر الثاني - شباط",
        "Mar" => "الشهر الثالث - آذار",
        "Apr" => "الشهر الرابع - نيسان",
        "May" => "الشهر الخامس - أيار",
        "Jun" => "الشهر السادس - حزيران",
        "Jul" => "الشهر السابع - تموز",
        "Aug" => "الشهر الثامن - آب",
        "Sep" => "الشهر التاسع - أيلول",
        "Oct" => "الشهر العاشر - تشرين الأول",
        "Nov" => "الشهر الحادي عشر - تشرين الثاني",
        "Dec" => "الشهر الثاني عشر - كانون الأول"
        
    );
    // $months = ["Jan" => "يناير", "Feb" => "فبراير", "Mar" => "مارس", "Apr" => "أبريل", "May" => "مايو", "Jun" => "يونيو", "Jul" => "يوليو", "Aug" => "أغسطس", "Sep" => "سبتمبر", "Oct" => "أكتوبر", "Nov" => "نوفمبر", "Dec" => "ديسمبر"];
    $days = ["Sat" => "السبت", "Sun" => "الأحد", "Mon" => "الإثنين", "Tue" => "الثلاثاء", "Wed" => "الأربعاء", "Thu" => "الخميس", "Fri" => "الجمعة"];
    // $am_pm = ['AM' => 'صباحاً', 'PM' => 'مساءً'];

    $day = $days[date('D', $time)];
    $month = $months[date('M', $time)];
    // $am_pm = $am_pm[date('A', $time)];
    // $date = $day . ' ' . date('d', $time) . ' - ' . $month . ' - ' . date('Y', $time) . '   ' . date('h:i', $time) . ' ' . $am_pm;
    $date = $day  . ' - ' . $month;
    $numbers_ar = ["٠", "١", "٢", "٣", "٤", "٥", "٦", "٧", "٨", "٩"];
    $numbers_en = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9'];

    return str_replace($numbers_en, $numbers_ar, $date);
}