<?php 
session_start();
include_once "./php/connect.php";
include_once "php/include/header.php";
?>

    <div class="login-page algin-items-center" id="wrapper">
        <div class="container">
            <div class="row d-flex justify-content-center mb-5">
                <div class="col-lg-10 offset-lg-1" >
                  <h3 class="d-flex justify-content-center text-light mb-3">أنشاء حساب الأن</h3>
                  
                  <div style="height: 25px;">
                <?php include_once('./php/help/message.php');?>
            </div class="">
                    <div  class="bg-white shadow rounded">
                        <div class="row d-flex justify-content-center" >
                            <div class="col-md-7 pe-0">
                                <div class="form-left h-100 py-5 px-5">
                                    <form action="./php/auth/signup.php" method="POST" class="row g-4">
                                            <div class="col-12">
                                                <label>اسم المستخدم<span class="text-danger">*</span></label>
                                                <div class="input-group">
                                                    <div class="input-group-text"><i class='bx bx-user'></i></div>
                                                    <input type="username" name="username" class="form-control" placeholder="أدخل اسم المستخدم" required oninvalid="this.setCustomValidity('لايمكن ان يكون الحقل فارغاً')" oninput="setCustomValidity('')">
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <label>بريد إلكتروني<span class="text-danger">*</span></label>
                                                <div class="input-group">
                                                    <div class="input-group-text"><i class='bx bx-message'></i></div>
                                                    <input type="email" name="email" class="form-control text-start" placeholder="أدخل بريد إلكتروني" required oninvalid="this.setCustomValidity('لايمكن ان يكون الحقل فارغاً')" oninput="setCustomValidity('')">
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <label>الهاتف<span class="text-danger">*</span></label>
                                                <div class="input-group">
                                                    <div class="input-group-text"><i class='bx bx-phone' ></i></div>
                                                    <input type="phone" name="phone" class="form-control" placeholder="أدخل الهاتف" required oninvalid="this.setCustomValidity('لايمكن ان يكون الحقل فارغاً')" oninput="setCustomValidity('')">
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <label>كلمة المرور<span class="text-danger">*</span></label>
                                                <div class="input-group">
                                                    <div class="input-group-text"><i class='bx bx-lock-open-alt'></i></div>
                                                    <input type="password" name="password" class="form-control" placeholder="أدخل كلمة المرور" required oninvalid="this.setCustomValidity('لايمكن ان يكون الحقل فارغاً')" oninput="setCustomValidity('')">
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <a href="./checkemail.php" class="float-end font_color_custom">هل نسيت كلمة السر؟</a>
                                            </div>
                                            
                                            <div class="row col-12">
                                                <div class="row col-8">
                                                    <span href="#" class="float-end text-secondary">لديك حساب؟</span>
                                                    <a href="login.php" class="float-end font_color_custom">تسجيل الدخول</a>
                                                </div>
                                                <button type="submit" name="sign_up_btn" class="btn custom-btn-pry px-4 float-end mt-4">أنشاء حساب</button>
                                            </div>
                                    </form>
                                </div>
                            </div>
                            <div class="col-md-5 ps-0 d-none d-md-block">
                                <div class="form-right h-100 bg-secondary text-white text-center d-flex align-items-center justify-content-center">

                                    <div class="mt-6">
                                        <h4 class="fs-1 text-light mt-6">مرحبًا بعودتك!!!</h4>
                                        <img src="./images/logo.png" width="280" height="100"alt="///">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php include_once './php/include/copyright.php' ?>
        </div>
    </div>

    <!-- Bootstrap JS -->
<?php include_once('./php/include/footer.php');?>
<script src="./js/hide_alert.js"></script>