<?php 
include_once "./php/auth/authentication.php";
include_once "./php/connect.php";
include_once "./php/help/timeago.php";
include "./php/include/header.php";
?>


<div class="d-flex" id="wrapper">
    <!-- Page Content -->
    <div id="page-content-wrapper">
        <?php include_once('php/include/nav.php');?>
        <a href="markets_debt.php">
            <i class='btn btn-sm bx bxs-chevron-right ms-4 fs-5 bg-light'></i>
        </a>
        <div class="container-fluid px-4">
            <div class="mt-2" style="height: 25px;">
                <?php include_once('./php/help/message.php');?>
            </div>

            <div class="row my-5 bg-light">
                <div class="row ">
                    <?php if($_SESSION['auth_role'] == 1): ?>
                        <div class="col align-items-start btn-lg mt-4"><a href="#addnewtoday" class="btn btn-sm custom-btn-pry fw-bold align-items-start" data-bs-toggle="modal" ><i class='bx bx-plus bx-xs'></i> اضافة يوم جديد </a></div>
                        <?php include './php/today/add_todaymodel.php' ; ?>
                    <?php else: ?>
                        <span class="col align-items-start align-self-center btn-lg"><a href="#" class="btn btn-outline-secondary disabled">اضافة يوم جديد</a></span>
                    <?php endif; ?>
                </div>
                <center class="pt-2">
                    <span class="d-flex justify-content-center sidebar-heading text-center primary-text fw-bold">
                            <img src= "images/icon.png" class="rounded-2" width="33" height="33" alt="//">
                            <p class="ms-2 pe-2 fs-6">يوم جديد/ <b class="text-primary fs-6"><?=$_GET['name_of_marketdebt']; ?></b></p> 
                    </span>
                </center>
                <div class="col-lg-12" >
                    <table id="datatableid" class="table table-striped table-hover">
                        <thead>
                            <tr>
                                <th scope="col" width="10">#</th>
                                <th scope="col" width="10">##</th>
                                <th scope="col" width="10">دخول</th>
                                <th scope="col" class="text-center" width="80">اليوم الجديد</th>
                                <th scope="col" class="text-center" width="80">الناتج النهائي</th>
                                <th scope="col" class="text-center" width="100">التفاصيل</th>
                                <th scope="col">تاريخ الانشاء</th>
                                <th scope="col"> تاريخ التحديث</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                            $marketdebt_id = $_GET['marketdebt_id'];
                            $sql = "SELECT * FROM today WHERE idmarketdebt = $marketdebt_id ORDER BY todays_date DESC ";
                            $stmt = $con->prepare($sql);
                            $stmt->execute();
                            $rows = $stmt->fetchAll(PDO::FETCH_ASSOC);
                            if($rows > 0){
                                foreach($rows as $row){
                                ?>
                                    <tr role="row" class="odd">
                                <td>
                                <div class="dropdown">
                                    <a class="btn btn-sm custom-btn-pry" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                    <i class='bx bx-dots-vertical-rounded'></i>
                                    </a>

                                    <ul class="dropdown-menu">
                                        <li>
                                            <?php if($_SESSION['auth_role'] == 1): ?>
                                                    <a href="#updatetoday_<?php echo $row['today_id'];?>" class="dropdown-item text-primary" data-bs-toggle="modal" >تعديل اليوم</a>
                                                    
                                            <?php else: ?>
                                                <a   class="dropdown-item disabled"> تعديل اليوم</a>
                                            <?php endif; ?>
                                        </li>
                                        <li>
                                            <?php if($_SESSION['auth_role'] == 1): ?>
                                                <a href="#deletetoday_<?php echo  $row['today_id'];?>" class="dropdown-item text-danger" data-bs-toggle="modal">مسح اليوم</a>
                                                
                                            <?php else: ?>
                                                
                                            <?php endif; ?>
                                        </li>
                                    </ul>
                                </div>
                                <?php include('./php/today/add_todaymodel.php');?>
                                </td>

                                <td class="text-danger fw-bold"><?php echo $row['today_id']; ?></td>
                                <td>
                                    <a href="daily.php?today_id=<?= $row['today_id'] ?>&todays_date=<?= $row['todays_date'] ?>&marketdebt_id=<?= $_GET['marketdebt_id']; ?>&name_of_marketdebt=<?= $_GET['name_of_marketdebt']; ?>">
                                        <i class='btn btn-sm bx bxs-left-arrow-circle fs-5 custom-btn-pry'></i>
                                    </a>
                                </td>
                                <td class="fs-5">
                                    <span id="currentDate" class="d-flex justify-content-between">
                                        <?=substr($row['todays_date'],0,10); ?><i class="bx bx-calendar-alt bx-xs text-success"></i>
                                    </span>
                                </td>
                                <td>
                                    <?php
                                        $today_id = $row['today_id'];
                                        $res = $con->prepare("SELECT credit FROM credit WHERE idtodaydate = $today_id");
                                        $res->execute();
                                        $num_rows = $res->fetchColumn();
                                        $res3 = $con->prepare("SELECT SUM(incoming) - SUM(outgoing)  FROM day_inc_out WHERE idoftoday = '$today_id '");
                                        $res3->execute();
                                        $num_rows3 = $res3->fetchColumn();
                                        if ($num_rows3 != null) {
                                            echo '<h5 class="text-center">'.number_format($num_rows3+$num_rows).'</h5>';
                                        }else{
                                            echo '<h5 class="text-center"> 0 </h5>';
                                        }
                                    ?>
                                </td>
                                <td class="<?= $row['todays_detail'] == null ? 'text-secondary': 'text-danger'; ?>" ><?= $row['todays_detail'] == null ? 'لايوجد': $row['todays_detail'] ; ?></td>
                                <td>
                                    <div> 
                                        <?= substr($row['created_at'],0,10); ?>
                                    </div>
                                    <div id="sizeoffontcp"> 
                                        <!-- <b id="sizeoffontcp"> -->
                                            <?= substr($row['created_at'],11,5); ?>
                                        <!-- </b> -->
                                    </div>
                                </td>
                                <td>
                                    <div> 
                                        <?= substr($row['created_at'],0,10); ?>
                                    </div>
                                    <div id="sizeoffontcp"> 
                                        <!-- <b id="sizeoffontcp"> -->
                                            <?= substr($row['updated_at'],11,5); ?>
                                        <!-- </b> -->
                                    </div>
                                </td>
                               
                                <?php include('./php/today/updel_todaymodel.php');?>
                            </tr>
                            
                                <?php
                                }
                            }
                        ?> 
                        </tbody>
                    </table>
                </div>
            </div>

        </div>
        <?= include_once './php/include/copyright.php' ?>
    </div>
</div>
<!-- /#page-content-wrapper -->
<?php include_once('./php/include/footer.php');?>
<script src="./js/table.js"></script>
<script src="./js/hide_alert.js"></script>

