<?php 
include_once "./php/auth/authentication.php";
include_once "./php/connect.php";
include_once "./php/help/timeago.php";
include_once "php/include/header.php";
?>


<div class="d-flex" id="wrapper">
    <!-- Page Content -->
    <div id="page-content-wrapper">
        <?php include_once('php/include/nav.php');?>
        <a href="market_trust.php">
            <i class='btn btn-sm bx bxs-chevron-right ms-4 fs-5 bg-light'></i>
        </a>
        <div class="container-fluid px-4">
            <?php include_once('php/include/trust_panal.php');?>
            <div style="height: 25px;">
                <?php include_once('./php/help/message.php');?>
            </div>

            <div class="row my-5 bg-light">
                <div class="row ">
                    <?php if($_SESSION['auth_role'] == 1): ?>
                        <div class="col align-items-start btn-lg mt-4"><a href="#addnewtrust" class="btn custom-btn-pry fw-bold align-items-start" data-bs-toggle="modal" ><i class='bx bx-user-plus bx-sm'></i> اضافة صاحب امانة جديد </a></div>
                        <?php include('./php/trust/add_trustmodel.php');?>
                    <?php else: ?>
                        <span class="col align-items-start align-self-center btn-lg"><a href="#" class="btn btn-outline-secondary disabled">اضافة صاحب امانة جديد</a></span>
                    <?php endif; ?>
                    <center class="pt-2">
                        <span class="d-flex justify-content-center sidebar-heading text-center primary-text fw-bold">
                                <img src= "images/icon.png" class="rounded-2" width="33" height="33" alt="//">
                                <h5 class="ms-2 pe-2">صفحة اصحاب امانات محل / <b class="text-primary"><?= $_GET['name_of_market_trust']; ?></b></h5> 
                        </span>
                    </center>
                </div>
                <div class="col-lg-12" >
                    <table id="datatableid" class="table table-striped table-hover table-danger text-center">
                        <thead>
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">صفحة صاحب الامانة</th>
                                <th scope="col">صورة صاحب الامانة</th>
                                <th scope="col" class="text-center">اسم صاحب الامانة</th>
                                <th scope="col" class="text-center">الباقي من الامانة</th>
                                <th scope="col">تاريخ الانشاء</th>
                                <th scope="col">تاريخ التحديث</th>
                                <th scope="col">معلومات صاحب الامانة</th>
                                <th scope="col">تحديث صاحب الامانة</th>
                                <th scope="col">حذف صاحب الامانة</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                            $mtrust_idpage = $_GET['mtrust_id'];
                            $sql = "SELECT * FROM trust WHERE idofmarket = $mtrust_idpage ";
                            $stmt = $con->prepare($sql);
                            $stmt->execute();
                            $rows = $stmt->fetchAll(PDO::FETCH_ASSOC);
                            if($rows > 0){
                                foreach($rows as $row){
                                ?>
                                <tr role="row" class="odd">

                                <td class="text-danger fw-bold"><?php echo $row['trust_id']; ?></td>
                                <td>
                                    <a href="trust_tg.php?trust_id=<?= $row['trust_id']; ?>&name_of_sup=<?= $row['nameofsup']; ?>&mtrust_id=<?= $mtrust_idpage ; ?>&name_of_market_trust=<?= $_GET['name_of_market_trust']; ?>">
                                        <i class='btn btn-sm bx bxs-left-arrow-circle fs-5 custom-btn-pry'></i>
                                    </a>
                                </td>
                                <td class="text-center" for="imagetrust">
                                    <?php if($row['image_trust'] == NULL){ ?>
                                        <img name="imagetrust" class="users-avatar-shadow rounded-circle"  src="<?php echo "./php/upload/no-user.jpg" ?>" alt="///"  width="40" height="40" />
                                    <?php }else{ ?>
                                        <img class="users-avatar-shadow rounded-circle"  src="<?php echo "../upload/trustimg/".$row['image_trust'] ?>" alt="///"  width="40" height="40"/>
                                    <?php } ?>
                                </td>
                                <td><?php echo $row['nameofsup']; ?></td>
                                <td class="text-center">
                                    <?php
                                        $var3 = $row['trust_id'];
                                        $res3 = $con->prepare("SELECT SUM(take) - SUM(give)  FROM trust_tg WHERE idoftrust = $var3 ");
                                        $res3->execute();
                                        $num_rows3 = $res3->fetchColumn();
                                        if ($num_rows3 != 0) {
                                            echo '<h5 class="text-danger">'.number_format($num_rows3).'</h5>';
                                        }elseif($num_rows3 == 0){
                                            echo '<h5 class="text-success">تم السداد</h5>';
                                        }
                                    ?>
                                </td>
                                <td><?php echo f_time_ago($row['created_at']); ?></td>
                                <td><?php echo f_time_ago($row['updated_at']); ?></td>
                                <?php if($_SESSION['auth_role'] == 1): ?>
                                    <td>
                                        <a href="#showaddresstrust_<?php echo $row['trust_id'];?>" class="btn btn-sm custom-btn-pry fw-bold" data-bs-toggle="modal" > <i class='bx bx-info-circle' ></i> معلومات </a>
                                    </td>
                                <?php else: ?>
                                    <td><button type="button"  class="btn btn-sm btn-outline-secondary disabled"> معلومات</button></td>
                                <?php endif; ?>
                                <?php if($_SESSION['auth_role'] == 1): ?>
                                    <td>
                                        <a href="#updatetrust_<?php echo $row['trust_id'];?>" class="btn btn-sm btn-secondary fw-bold" data-bs-toggle="modal" ><i class='bx bx-edit-alt'></i> تعديــل </a>
                                    </td>
                                    <td>
                                        <a href="#deletetrust_<?= $row['trust_id'];?>" class="btn btn-sm custom-bg-secondary fw-bold" data-bs-toggle="modal" > <i class='bx bx-trash' ></i> حــذف </a>
                                    </td>
                                <?php else: ?>
                                    <td><button type="button"  class="btn btn-sm btn-outline-secondary disabled"> تعديــل</button></td>
                                    <td><button type="button"  class="btn btn-sm custom-bg-secondary disabled"> حــذف</button></td>
                                <?php endif; ?>
                                <?php include('./php/trust/updel_modeltrust.php');?>
                            </tr>
                            
                                <?php
                                }
                            }
                            // getData("onenotify","user_id = 47");
                        
                        ?>
                            
                        </tbody>
                    </table>
                </div>
            </div>

        </div>
        <?= include_once './php/include/copyright.php' ?>
    </div>
</div>
<!-- /#page-content-wrapper -->
<script src="./js/table.js"></script>
<script src="./js/hide_alert.js"></script>
